%define name si
%define version 0.7
%define release 2mdk

Summary: a system information viewer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Copyright: GPL
Group: Monitoring
BuildRoot: /var/tmp/%{name}-buildroot
Prefix: %{_prefix}

%description
si (System Information Viewer) is a Linux application that displays information
about the local computer from data gathered from the /proc filesystem, a readable 
interface to kernel memory. si displays information related to the CPU, hardware, 
memory, kernel, filesystems, network and running processes.

%prep
%setup -q 

%build
make

%install
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/%{prefix}/man/man1
install -m 755 si $RPM_BUILD_ROOT/%{prefix}/bin/
install -m  644 si.conf $RPM_BUILD_ROOT/etc/
install -m 644 si.1 $RPM_BUILD_ROOT/%{prefix}/man/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README INSTALL COPYRIGHT PROCFS COPYING HISTORY OUTPUT 
/%{prefix}/bin/*
%config /etc/si.conf
/%{prefix}/man/man1/*                                                                                                

%changelog
* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7-2mdk
- fix group
- fix files section

* Sat Sep 11 1999 Daouda LO <daouda@mandrakesoft.com>
- First spec file for Mandrake distribution.

